[CentOS] streamripper & CentOS?

Brian brian-list at comcast.net
Sun Jan 24 23:01:10 UTC 2010


I am trying to build streamripper from source, I don't see rpms  
available for it.

I have all the parts of yum groupinstall 'Development Tools'   in place.

rpm shows that a 2.5.* is in use

# rpm -q glibc
glibc-2.5-42.el5_4.3

Any attempt do get past the ./configure for streamripper fails

checking for GLIB - version >= 2.16.0... no
*** Could not run GLIB test program, checking why...
*** The test program failed to compile or link. See the file  
config.log for the
*** exact error that occured. This usually means GLIB is incorrectly  
installed.
configure: error: Glib 2.16 or greater required

After a lot of googling, I see some people on Ubuntu seem to have been  
missing a glibc-dev:
http://sourceforge.net/projects/streamripper/forums/forum/19083/topic/3457440

but I don't see that available for me to pull from yum, and trying  
variants via:
[root at localhost streamripper-1.64.6]# yum provides */libglib*

does not pull up what I seem to need here either.

I feel I must be missing some path, but I cannot find it.  I built  
this fine on my BSD machines, and this app is part of the available  
install base for e.g. Ununtu and FreeBSD etc-- it is not as if this is  
esoteric.

Does this not build under CentOS?  or am I missing something really  
straightforward.  I searched the forums via google and find really no  
one talking about this, so either I'm missing some path or something  
obvious, despite looking, or it's just kown/assumed to not work.

I am running :
Linux localhost.localdomain 2.6.18-164.11.1.el5 #1 SMP Wed Jan 20  
07:32:21 EST 2010 x86_64 x86_64 x86_64 GNU/Linux

freshly installed and updated 5.x.

Thanks for thoughts-

Brian


More information about the CentOS mailing list